import { NgbDate } from "@ng-bootstrap/ng-bootstrap/datepicker/ngb-date";
import { NgbCalendar } from "@ng-bootstrap/ng-bootstrap";
import { NgbPeriod } from "@ng-bootstrap/ng-bootstrap/datepicker/ngb-calendar";
export declare abstract class NgbCalendarJalali extends NgbCalendar {
    getDaysPerWeek(): number;
    getMonths(): number[];
    getWeeksPerMonth(): number;
    isValid(date: NgbDate): boolean;
    setDay(date: NgbDate, day: number): NgbDate;
    setMonth(date: NgbDate, month: number): NgbDate;
    setYear(date: NgbDate, yearValue: number): NgbDate;
    abstract getWeekday(date: NgbDate): number;
    abstract getNext(date: NgbDate, period?: NgbPeriod, number?: number): NgbDate;
    abstract getPrev(date: NgbDate, period?: NgbPeriod, number?: number): NgbDate;
    abstract getWeekNumber(week: NgbDate[], firstDayOfWeek: number): number;
    abstract getToday(): NgbDate;
    /**
     * Returns the equivalent jalali date value for a give input Gregorian date.
     * `gDate` is s JS Date to be converted to jalali.
     */
    abstract fromGregorian(gDate: Date): NgbDate;
    /**
     * Converts the current jalali date to Gregorian.
     */
    abstract toGregorian(jalaliDate: NgbDate): Date;
    /**
     * Returns the number of days in a specific jalali month.
     */
    abstract getDaysInJalaliMonth(month: number, year: number): number;
}
