import { NgbCalendarJalali } from "./ngb-calendar-jalali";
import { NgbDate } from "@ng-bootstrap/ng-bootstrap/datepicker/ngb-date";
import { NgbPeriod } from "@ng-bootstrap/ng-bootstrap/datepicker/ngb-calendar";
export declare class NgbCalendarPersian extends NgbCalendarJalali {
    /**
     * Returns the equivalent jalali date value for a give input Gregorian date.
     * `gdate` is a JS Date to be converted to jalali.
     * utc to local
     */
    fromGregorian(gdate: Date): NgbDate;
    gregorianToDay(gy: number, gm: number, gd: number): number;
    dayToJalali(julianDayNumber: number): NgbDate;
    /**
     * Returns the equivalent JS date value for a give input Jalali date.
     * `jalaliDate` is an Jalali date to be converted to Gregorian.
     */
    toGregorian(jalaliDate: NgbDate): Date;
    jalaliToDay(jYear: number, jMonth: number, jDay: number): number;
    dayToGregorion(julianDayNumber: number): Date;
    jalCal(jalaliYear: number): {
        leap: number;
        gy: number;
        march: number;
    };
    /**
     * Returns the number of days in a specific jalali month.
     */
    getDaysInJalaliMonth(month: number, year: number): number;
    isLeapJalaliYear(jy: number): boolean;
    getNext(date: NgbDate, period?: NgbPeriod, number?: number): NgbDate;
    getPrev(date: NgbDate, period?: NgbPeriod, number?: number): NgbDate;
    getWeekday(date: NgbDate): number;
    getWeekNumber(week: NgbDate[], firstDayOfWeek: number): number;
    getToday(): NgbDate;
}
